## ros-one-google-chat-ros 2.1.31-19jammy.20251023.0357

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(google_chat_ros)

find_package(
  catkin REQUIRED COMPONENTS
  catkin_virtualenv
  actionlib_msgs
  std_msgs
  message_generation
  )

catkin_python_setup()

add_message_files(
  DIRECTORY msg
  )

add_action_files(
  FILES
  SendMessage.action
  )

generate_messages(
  DEPENDENCIES
  std_msgs
  actionlib_msgs
  )

catkin_package(
  CATKIN_DEPENDS message_runtime
  )

# generate the virtualenv
find_package(Python3 QUIET COMPONENTS Interpreter)
if(Python3_FOUND)
  message(STATUS "Found Python: ${Python3_EXECUTABLE}")
  message(STATUS "Python Version: ${Python3_VERSION}")
endif()
if((NOT Python3_FOUND) OR (Python3_VERSION VERSION_LESS "3.12"))
catkin_generate_virtualenv(
  INPUT_REQUIREMENTS requirements.in
  PYTHON_INTERPRETER python3
  USE_SYSTEM_PACKAGES FALSE
  CHECK_VENV FALSE
  )
else()
catkin_generate_virtualenv(
  INPUT_REQUIREMENTS requirements.in.python3.12
  PYTHON_INTERPRETER python3
  USE_SYSTEM_PACKAGES FALSE
  CHECK_VENV FALSE
  )
endif()

# install
# euslisp
file(GLOB EUSLISP_SCRIPTS scripts/*.l)
install(FILES ${EUSLISP_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts/)

# python
file(GLOB PYTHON_SCRIPT_FILES scripts/*.py  test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# launch
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

# import test
if(CATKIN_ENABLE_TESTING)
  find_package(catkin_virtualenv REQUIRED)
  find_package(rostest REQUIRED)
  catkin_install_python(
    PROGRAMS test/test_import.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )
  add_rostest(test/import.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
    )
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19jammy.20251023.0357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 03:57:55 +0000

ros-one-google-chat-ros (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.30-0jammy) jammy; urgency=high

  * google_chat_ros: enable to get therad_name message result (#516 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/516>)
  * Add ROS-O 24.04 test (#521 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/521>)
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.29-0jammy) jammy; urgency=high

  * [google_chat_ros] check whether google_chat_button's parameters include NoneType object for avoiding rospy serialization error (#501 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/501>)
  * [google_chat_ros] Fix an error message typo; https ==> url (#492 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/492>)
  * Contributors: Kei Okada, Naoto Tsukamoto

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.28-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.25-0jammy) jammy; urgency=high

  * google_chat_ros_node.py: display project_id, subscription_id (#459 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/459>)
  * add test to check if ros node is loadable, (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
    
      * install python files under CATKIN_PACKAGE_BIN_DESTINATION
      * google_chat_ros/test_rospy_node.py: skip healper.py
        helper.py depends on dialogflow_task_executive. However, when we add this to the <depend> of package.xml, it appempts to build venv using 'dialogflow_task_executive/requirements.txt'. This requires having the same PYTHON_INTERPRETER for both dialogflow and chat ros package. The issue is that dialogflow_task_executive heavily relies on system Python modules, including ROS, making it difficult to use dialogflow with Python3 on Melodic
      * add catkin_install_python for test, it is also change installed directory from BIN to SHARE, because we want to have same directory structure between devel and install
      * add test to check if ros node is loadable
        If we use python2 PYTHON_INTERPRETER on 20.04, python2 fails to load rospy in /opt/ros/noetic, because rospy moduels are alraedy updated.
        If we use python3 PYTHON_INTERPRETER on 18.04, python3 can load rospy in /opt/ros/melodic by chance.
        c.f. https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/367
    
  * google_chat_ros/README.md: add troubleshooting (#450 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/450>)
  * fix google_chat_ros noetic build errors (#422 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/422>)
  * use same timestamp for one goal (#403 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/403>)
    * save google chat image in /chat_notification with timestamp
  * add google_chat_ros (#392 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/392>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.24-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.23-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.18-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 21:51:00 -0000

ros-one-google-chat-ros (2.1.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 15:21:00 -0000

ros-one-google-chat-ros (2.1.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.13-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.12-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.11-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000



=== debian/control ===
Source: ros-one-google-chat-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-actionlib-msgs, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-google-chat-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib-msgs, ros-one-dialogflow-task-executive, ros-one-gdrive-ros, ros-one-message-runtime, ros-one-rospy, ros-one-std-msgs
Description: Use Google Chat API clients via ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-google-chat-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-google-chat-ros 2.1.31-19jammy.20260116.2119

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19jammy.20260116.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:19:38 +0000

## ros-one-google-chat-ros 2.1.31-19jammy.20260207.2154

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19jammy.20260207.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:54:15 +0000

## ros-one-google-chat-ros 2.1.31-19noble.20251023.0354

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19noble.20251023.0354) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 03:54:25 +0000

ros-one-google-chat-ros (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.30-0noble) noble; urgency=high

  * google_chat_ros: enable to get therad_name message result (#516 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/516>)
  * Add ROS-O 24.04 test (#521 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/521>)
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.29-0noble) noble; urgency=high

  * [google_chat_ros] check whether google_chat_button's parameters include NoneType object for avoiding rospy serialization error (#501 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/501>)
  * [google_chat_ros] Fix an error message typo; https ==> url (#492 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/492>)
  * Contributors: Kei Okada, Naoto Tsukamoto

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-google-chat-ros (2.1.28-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.25-0noble) noble; urgency=high

  * google_chat_ros_node.py: display project_id, subscription_id (#459 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/459>)
  * add test to check if ros node is loadable, (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
    
      * install python files under CATKIN_PACKAGE_BIN_DESTINATION
      * google_chat_ros/test_rospy_node.py: skip healper.py
        helper.py depends on dialogflow_task_executive. However, when we add this to the <depend> of package.xml, it appempts to build venv using 'dialogflow_task_executive/requirements.txt'. This requires having the same PYTHON_INTERPRETER for both dialogflow and chat ros package. The issue is that dialogflow_task_executive heavily relies on system Python modules, including ROS, making it difficult to use dialogflow with Python3 on Melodic
      * add catkin_install_python for test, it is also change installed directory from BIN to SHARE, because we want to have same directory structure between devel and install
      * add test to check if ros node is loadable
        If we use python2 PYTHON_INTERPRETER on 20.04, python2 fails to load rospy in /opt/ros/noetic, because rospy moduels are alraedy updated.
        If we use python3 PYTHON_INTERPRETER on 18.04, python3 can load rospy in /opt/ros/melodic by chance.
        c.f. https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/367
    
  * google_chat_ros/README.md: add troubleshooting (#450 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/450>)
  * fix google_chat_ros noetic build errors (#422 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/422>)
  * use same timestamp for one goal (#403 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/403>)
    * save google chat image in /chat_notification with timestamp
  * add google_chat_ros (#392 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/392>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-google-chat-ros (2.1.24-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.23-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.22-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-google-chat-ros (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.18-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-google-chat-ros (2.1.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 21:51:00 -0000

ros-one-google-chat-ros (2.1.16-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 15:21:00 -0000

ros-one-google-chat-ros (2.1.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.13-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.12-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-google-chat-ros (2.1.11-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000



## ros-one-google-chat-ros 2.1.31-19noble.20260116.2116

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19noble.20260116.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:16:15 +0000

## ros-one-google-chat-ros 2.1.31-19noble.20260207.2154

=== debian/changelog ===
ros-one-google-chat-ros (2.1.31-19noble.20260207.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:54:02 +0000
